
using System;

namespace Lab1_GeometryInheritance;

public abstract class Figure : IComparable<Figure>
{
    public string Name { get; protected set; } = string.Empty;
    public abstract double GetArea();
    public abstract double GetPerimeter();
    public virtual void PrintInfo()
    {
        Console.WriteLine($"{Name}: Area={GetArea():F2}, Perimeter={GetPerimeter():F2}");
    }
    public int CompareTo(Figure? other)
    {
        if (other is null) return 1;
        return GetArea().CompareTo(other.GetArea());
    }
}
