
using System;

namespace Lab1_GeometryInheritance;

public class Triangle : Figure
{
    public double A { get; }
    public double B { get; }
    public double C { get; }
    public Triangle(double a, double b, double c)
    {
        if (a + b <= c || a + c <= b || b + c <= a)
            throw new ArgumentException("Invalid triangle sides");
        Name = "Triangle";
        A = a; B = b; C = c;
    }
    public override double GetPerimeter() => A + B + C;
    public override double GetArea()
    {
        double p = GetPerimeter() / 2;
        return Math.Sqrt(p * (p - A) * (p - B) * (p - C));
    }
}
