
using System;

namespace Lab2_EditionInheritance;

public abstract class Edition : IComparable<Edition>
{
    public string Title { get; protected set; } = string.Empty;
    public string AuthorSurname { get; protected set; } = string.Empty;
    public int Year { get; protected set; }

    public abstract void PrintInfo();

    public int CompareTo(Edition? other)
        => string.Compare(AuthorSurname, other?.AuthorSurname, StringComparison.OrdinalIgnoreCase);
}
