
using System;

namespace Lab3_TransportInheritance;

public abstract class Transport : IComparable<Transport>
{
    public string Brand { get; protected set; } = string.Empty;
    public string Number { get; protected set; } = string.Empty;
    public int MaxSpeed { get; protected set; }

    public abstract int GetLoadCapacity();

    public virtual void PrintInfo()
    {
        Console.WriteLine($"{Brand} ({Number}) speed={MaxSpeed} load={GetLoadCapacity()}");
    }

    public int CompareTo(Transport? other)
        => string.Compare(Brand, other?.Brand, StringComparison.OrdinalIgnoreCase);
}
