
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;
using Lab4_Polymorphism;

namespace Lab4_Polymorphism;

static class Program
{
    [STAThread]
    static void Main()
    {
        ApplicationConfiguration.Initialize();
        Application.Run(new FigureForm());
    }
}

public class FigureForm : Form
{
    readonly List<Figure> figures = new()
    {
        new RectangleFigure(Color.DarkRed,new Point(30,30),50,50),
        new RectangleFigure(Color.Green,new Point(100,100),100,100),
        new RectangleFigure(Color.Blue,new Point(200,200),120,60)
    };

    public FigureForm()
    {
        Text="Лабораторная №3 – Полиморфизм";
        ClientSize=new Size(800,600);
        StartPosition=FormStartPosition.CenterScreen;
        Paint+=OnPaint;
    }

    void OnPaint(object? sender, PaintEventArgs e)
    {
        foreach(var f in figures)
            f.Draw(e.Graphics);
    }
}
