
using System.Drawing;
namespace Lab4_Polymorphism;

public class RectangleFigure : Figure
{
    public int Width { get; }
    public int Height { get; }
    public RectangleFigure(Color color, Point pos,int width,int height)
        : base("Rectangle",color,pos) => (Width,Height)=(width,height);

    public override double GetArea()=>Width*Height;
    public override Point GetCenter()=> new(Position.X+Width/2, Position.Y+Height/2);
    public override void Draw(Graphics g)
    {
        using var pen=new Pen(Color,2);
        g.DrawRectangle(pen,Position.X,Position.Y,Width,Height);
        using var brush = new SolidBrush(Color.FromArgb(40,Color));
        g.FillRectangle(brush,Position.X,Position.Y,Width,Height);
        g.DrawString($"{GetArea():F0}", SystemFonts.CaptionFont, Brushes.Black, GetCenter());
    }
}
