
using System;
using System.Drawing;
using System.Windows.Forms;

namespace Lab6_WinForms1;

static class Program
{
    [STAThread]
    static void Main()
    {
        ApplicationConfiguration.Initialize();
        Application.Run(new MainForm());
    }
}

public class MainForm : Form
{
    Point dragStart;
    public MainForm()
    {
        Text = "Hello World!";
        BackColor = Color.Aquamarine;
        Width = 250;
        Height = 250;
        FormBorderStyle = FormBorderStyle.None;

        var closeBtn = new Button{Text="Закрыть"};
        closeBtn.Size = new Size(100,30);
        closeBtn.Location = new Point((Width-closeBtn.Width)/2,(Height-closeBtn.Height)/2);
        closeBtn.Click += (_,__)=>Close();
        Controls.Add(closeBtn);

        Load += (_,__)=>
        {
            var path = new System.Drawing.Drawing2D.GraphicsPath();
            path.AddEllipse(0,0,Width,Height);
            Region = new Region(path);
        };

        MouseDown += (s,e)=>{ if(e.Button==MouseButtons.Left) dragStart=e.Location; };
        MouseMove += (s,e)=>{
            if(e.Button==MouseButtons.Left){
                var delta = new Point(e.X-dragStart.X,e.Y-dragStart.Y);
                Location = new Point(Location.X+delta.X,Location.Y+delta.Y);
            }
        };
    }
}
